aboutsummaryrefslogtreecommitdiffstats
path: root/testing/libcec/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2012-12-02 14:21:45 +0100
committerCarlo Landmeter <clandmeter@gmail.com>2012-12-02 14:21:45 +0100
commitf3933cb4e66d10631315bcf20c443b129ce37697 (patch)
tree46f9f9d93e5628d8b48cf3981a1f793453264f24 /testing/libcec/APKBUILD
parent59b24851aa7f0399a37bc4bf887a9d0338e527e6 (diff)
downloadaports-f3933cb4e66d10631315bcf20c443b129ce37697.tar.gz
aports-f3933cb4e66d10631315bcf20c443b129ce37697.tar.bz2
aports-f3933cb4e66d10631315bcf20c443b129ce37697.tar.xz
testing/libcec: new aport
Diffstat (limited to 'testing/libcec/APKBUILD')
-rw-r--r--testing/libcec/APKBUILD45
1 files changed, 45 insertions, 0 deletions
diff --git a/testing/libcec/APKBUILD b/testing/libcec/APKBUILD
new file mode 100644
index 0000000000..e49639770f
--- /dev/null
+++ b/testing/libcec/APKBUILD
@@ -0,0 +1,45 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer:
+pkgname=libcec
+pkgver=2.0.4
+pkgrel=0
+pkgdesc="libcec for the Pulse-Eight USB-CEC adapter"
+url="https://github.com/Pulse-Eight/libcec"
+arch="all"
+license="GPL"
+depends=""
+depends_dev="lockdev-dev udev-dev"
+makedepends="$depends_dev autoconf automake libtool"
+install=""
+subpackages="$pkgname-dev"
+source="http://github.com/Pulse-Eight/libcec/archive/libcec-$pkgver.tar.gz"
+
+_builddir="$srcdir"/libcec-libcec-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./bootstrap || return 1
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="6eaa3c824ab3a1b765dc2c9f2a14d6a0 libcec-2.0.4.tar.gz"